%global ovirt_user_description oVirt Manager
%global engine_name ovirt-engine
%global engine_state %{_localstatedir}/lib/%{engine_name}
%global engine_gid 108
%global engine_group ovirt
%global engine_uid 108
%global engine_user ovirt

# Macro to create an user:
# %1 user name
# %2 user id
# %3 primary group name
# %4 primary group id
# %5 description
# %6 home directory

%global _ovirt_create_user() \
getent group %3 >/dev/null || groupadd -r -g %4 %3; \
getent passwd %1 >/dev/null || useradd -r -u %2 -g %3 -c %5 -s /sbin/nologin -d %6 %1

%global ovirt_create_user_engine \
%_ovirt_create_user %{engine_user} %{engine_uid} %{engine_group} %{engine_gid} "%{ovirt_user_description}" %{engine_state}

Name:			redhat-access-plugin-rhsc
Version:		3.0.0
Release:		3%{?release_suffix}%{?dist}
Summary:		Plugin for Red Hat Storage Console

Group:			Development/Libraries
License:		ASL 2.0
URL:			http://www.ovirt.org
BuildArch:		noarch
Source0: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/redhat-access-plugin-rhsc-3.0-scm-sources.zip
Source1: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/maven-metadata.xml.md5
Source2: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/maven-metadata.xml.sha1
Source3: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/maven-metadata.xml
Source4: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/redhat-access-plugin-rhsc-3.0.pom.md5
Source5: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/redhat-access-plugin-rhsc-3.0.pom
Source6: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/redhat-access-plugin-rhsc-3.0.pom.sha1
Source7: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/maven-metadata.xml.md5
Source8: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/maven-metadata.xml.sha1
Source9: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/maven-metadata.xml
Source10: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/redhat-access-plugin-rhsc-ear-3.0.pom.sha1
Source11: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/redhat-access-plugin-rhsc-ear-3.0.ear
Source12: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/redhat-access-plugin-rhsc-ear-3.0.pom
Source13: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/redhat-access-plugin-rhsc-ear-3.0.ear.sha1
Source14: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/redhat-access-plugin-rhsc-ear-3.0.pom.md5
Source15: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/redhat-access-plugin-rhsc-ear-3.0.ear.md5
Source16: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/maven-metadata.xml.md5
Source17: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/maven-metadata.xml.sha1
Source18: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/maven-metadata.xml
Source19: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/redhat-access-plugin-rhsc-war-3.0.war.sha1
Source20: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/redhat-access-plugin-rhsc-war-3.0.pom.sha1
Source21: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/redhat-access-plugin-rhsc-war-3.0.pom.md5
Source22: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/redhat-access-plugin-rhsc-war-3.0.pom
Source23: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/redhat-access-plugin-rhsc-war-3.0.war.md5
Source24: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/redhat-access-plugin-rhsc-war-3.0.war

Obsoletes: redhat-access-plugin-storage
Requires: rhsc >= 3.0
Requires: usermode

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The Red Hat Access Plugin is a support 
plugin for RHSC

%prep
# We build RHSC in the MEAD environment, and that means that the
# sources are archived with root based on repository name

%setup -q -T -b 0 -n redhat-access-plugin-storage

%build

%install
rm -rf %{buildroot}

# ovirt-engine owns the following folders, but we need them for later steps
install -d %{buildroot}/usr/share/ovirt-engine/
install -d %{buildroot}/usr/share/ovirt-engine/ui-plugins/
install -d %{buildroot}/etc/ovirt-engine/

# We need the following directory to deploy the ear file
install -d %{buildroot}/etc/ovirt-engine/engine.conf.d/

# We need the following directories for the ovirt-sosreport wrapper
install -d %{buildroot}/etc/security/console.apps
install -d %{buildroot}/etc/pam.d
install -d %{buildroot}/usr/bin
install -d %{buildroot}/usr/sbin

# We need the following directories for httpd config
install -d %{buildroot}/etc/httpd/conf.d

# We need the following directory for GSS DB wrapper script
install -d %{buildroot}/var/lib/ovirt-engine/db-manual

echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
mkdir %{buildroot}/usr/share/ovirt-engine/redhat-access-plugin-rhsc-ear-3.0.ear
unzip -d %{buildroot}/usr/share/ovirt-engine/redhat-access-plugin-rhsc-ear-3.0.ear %{SOURCE11}
find %{buildroot}/usr/share/ovirt-engine/redhat-access-plugin-rhsc-ear-3.0.ear -type d -exec chmod 755 {} +
#install -D %{SOURCE11} %{buildroot}/usr/share/ovirt-engine/redhat-access-plugin-rhsc-ear-3.0.ear 
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"

pushd %{buildroot}/usr/share/ovirt-engine
ln -s redhat-access-plugin-rhsc-ear-3.0.ear redhat-access-plugin-rhsc.ear
popd

# Copy these two files that are required for the plugin
cp -r ui-plugins/* %{buildroot}/usr/share/ovirt-engine/ui-plugins/
install -m 644 redhataccessplugin.conf %{buildroot}/usr/share/ovirt-engine/redhat-access-plugin-rhsc-ear-3.0.ear/

#Add version to config file 
printf "\nversion=com.redhat.gss-redhat-access-plugin-rhsc-3.0-3" >> %{buildroot}/usr/share/ovirt-engine/redhat-access-plugin-rhsc-ear-3.0.ear/redhataccessplugin.conf

# Copy file to deploy ear file
install -m 644 deploy/50-redhat-access-plugin.conf %{buildroot}/etc/ovirt-engine/engine.conf.d/

# Install ovirt-sosreport wrapper.
install -m 755 utils/ovirt-sosreport-wrapper %{buildroot}/usr/sbin/ovirt-sosreport-wrapper
install -m 644 utils/ovirt-sosreport.pam %{buildroot}/etc/pam.d/ovirt-sosreport
install -m 644 utils/ovirt-sosreport.console-apps %{buildroot}/etc/security/console.apps/ovirt-sosreport

ln -s /usr/bin/consolehelper %{buildroot}/usr/bin/ovirt-sosreport

# Install httpd config
install -m 644 httpd-conf/redhat-access-plugin-rhsc-proxy.conf %{buildroot}/etc/httpd/conf.d

# Install GSS DB wrapper script
install -m 755 packaging/bin/engine-psql.sh %{buildroot}/var/lib/ovirt-engine/db-manual

%pre
%ovirt_create_user_engine


%files
%defattr(-,ovirt,ovirt,-)
/usr/share/ovirt-engine/redhat-access-plugin-rhsc-ear-3.0.ear/*
/usr/share/ovirt-engine/redhat-access-plugin-rhsc.ear
%config /etc/ovirt-engine/engine.conf.d/50-redhat-access-plugin.conf
%dir /usr/share/ovirt-engine/ui-plugins/redhat-access-plugin-rhsc
/usr/share/ovirt-engine/ui-plugins/redhat-access-plugin-rhsc/start.html
/usr/share/ovirt-engine/ui-plugins/redhat-access-plugin-rhsc.json
/usr/share/ovirt-engine/redhat-access-plugin-rhsc-ear-3.0.ear/redhataccessplugin.conf
%defattr(-,root,root,-)
%config(noreplace) /etc/pam.d/ovirt-sosreport
%config(noreplace) /etc/security/console.apps/ovirt-sosreport
/usr/bin/ovirt-sosreport
/usr/sbin/ovirt-sosreport-wrapper
%config(noreplace) /etc/httpd/conf.d/redhat-access-plugin-rhsc-proxy.conf
/var/lib/ovirt-engine/db-manual/engine-psql.sh
%doc LICENSE

%posttrans
# If this is an upgrade, make sure application.xml modifications are removed.
if [ -f /usr/share/ovirt-engine/engine.ear/META-INF/application.xml ]; then
    if grep -q 'START Red Hat Support Plug-in DO NOT REMOVE THIS COMMENT' /usr/share/ovirt-engine/engine.ear/META-INF/application.xml; then
    	sed  -i '/<!-- START Red Hat Support Plug-in DO NOT REMOVE THIS COMMENT -->/,/<!-- END Red Hat Support Plug-in DO NOT REMOVE THIS COMMENT -->/d' /usr/share/ovirt-engine/engine.ear/META-INF/application.xml
	fi
fi

%changelog
* Tue Oct 21 2014 Spenser Shumaker <sshumake@redhat.com> - 3.0.0-3
- Resolves: rhbz1113494

* Thu Jun 12 2014 Spenser Shumaker <sshumake@redhat.com> - 3.0.0-2
- Resolves: rhbz1113494

* Thu Jun 12 2014 Spenser Shumaker <sshumake@redhat.com> - 3.0.0-1
- Resolves: rhbz1104989

* Wed May 14 2014 Spenser Shumaker <sshumake@redhat.com> - 3.0.0-0
- Resolves: rhbz1054034
- Resolves: rhbz1097183


